Method: projects.locations.aclPolicies.create

Creates an ACL policy. The creation is executed synchronously and the policy is available for use immediately after the RPC returns.

HTTP request


POST https://memorystore.googleapis.com/v1beta/{parent=projects/*/locations/*}/aclPolicies

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The resource name of the ACL policy location using the form: projects/{project}/locations/{location} where location refers to a Google Cloud region.

Query parameters

Parameters
aclPolicyId

string

Required. The logical name of the ACL policy in the customer project with the following restrictions:

  • Must contain only lowercase letters, numbers, and hyphens.
  • Must start with a letter.
  • Must be between 1-63 characters.
  • Must end with a number or a letter.
  • Must be unique within the customer project / location
requestId

string

Optional. Idempotent request UUID. .

Request body

The request body contains an instance of AclPolicy.

Response body

If successful, the response body contains a newly created instance of AclPolicy.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

IAM Permissions

Requires the following IAM permission on the parent resource:

  • memorystore.aclPolicies.create

For more information, see the IAM documentation.